# GET /opportunities/:opportunity_id

**Resource:** [Opportunities](./opportunities.md)  
**MCP tool:** `get_opportunity`  
**Scopes:** `opportunities:read`  
**Write operation:** no

Fetch a single opportunity by UUID. Returns the full record including custom fields, products, contacts, and current stage placement.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `opportunity_id` | path | string | yes |  |

## Request example

```bash
curl   "https://api.trustpager.com/functions/v1/api/v1/opportunities/:opportunity_id"   -H "Authorization: Bearer YOUR_API_KEY"
```

## Response example

```json
{
  "data": {
    "id": "opp-uuid",
    "name": "Radiology Referral -- John Smith",
    "status": "open",
    "primary_referrer_contact_id": "referrer-contact-uuid",
    "primary_referrer_category": "CT",
    "referrer": {
      "id": "referrer-contact-uuid",
      "public_id": "CONT-042",
      "first_name": "Dr",
      "last_name": "Smith",
      "email": "dr.smith@clinic.com.au",
      "phone": "+61285551234",
      "job_title": "Radiologist"
    },
    "placements": [...]
  },
  "meta": { "credits_remaining": 9499 }
}
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`